%define builtin_release_name Nahant Update 9
%define builtin_release_variant ES
%define builtin_release_version 4%{builtin_release_variant}
%define source_suffix 20110126
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

%define product_family Red Hat Enterprise Linux
%if %{builtin_release_variant} == Desktop
%define product_family Red Hat
%endif

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif

%define debug_package %{nil}

Summary: %{product_family} release file
Name: redhat-release
Version: %{real_release_version}
Release: 10.2
License: GPL
Group: System Environment/Base
%if %{builtin_release_variant} != common
Source: redhat-release-%{builtin_release_version}-%{source_suffix}.tar.gz
%else
Source: redhat-release-%{builtin_release_version}.tar.gz
%endif
Source1: NOTICE-END-OF-LIFE.txt
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de
BuildRoot: %{_tmppath}/redhat-release-root
%if %{builtin_release_variant} == Desktop
ExcludeArch: ppc64 ppc s390 s390x ia64
%else
%if %{builtin_release_variant} == AS
ExcludeArch: ppc64
%else
%if  %{builtin_release_variant} != common
ExcludeArch: ppc64 ppc s390 s390x
%endif
%endif
%endif
#Patch0: common-beta-key.patch

%description
The redhat-release package contains release notes and licensing information,
and identifies the release of %{product_family}.

%prep
%setup -q -n redhat-release-%{builtin_release_version}
cp %{SOURCE1} .
#patch0 -p1


%if %{builtin_release_variant} != common
%%build 
python -c "import py_compile; py_compile.compile('eula.py')"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release 4 (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

%if %{builtin_release_variant} != common
mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%if %{builtin_release_variant} != common
%doc %{current_arch}/R*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%endif
%doc EULA GPL autorun-template
%doc RPM-GPG-KEY
%doc NOTICE-END-OF-LIFE.txt
#[!] comment beta key out for final release
#%doc RPM-GPG-KEY-beta

%changelog
* Fri  Aug 26 2011 Nick Petrov <npetrov@redhat.com> - 4ES-10.2
- 1-Year EOL Notice
- Resolves: rhbz#732722
* Tue Feb 25 2011 Nick Petrov <npetrov@redhat.com> - 4WS-10.1
- 1-Year EOL Notice
- Resolves: rhbz#669039
* Wed Jan 26 2011 Nick Petrov <npetrov@redhat.com> - 4Desktop-10
- Final 4.9 release notes
- Related: #635910
* Mon Jan 24 2011 Nick Petrov <npetrov@redhat.com> - 4Desktop-9.4
- Final 4.9 release notes
- Related: #639178
* Mon Jan 19 2011 Nick Petrov <npetrov@redhat.com> - 4Desktop-9.3
- Bump for 4.9 release notes
- Related: #639178
* Mon Jan 3 2010 Nick Petrov <npetrov@redhat.com> - 4Desktop-9.2
- Bump for 4.9 release notes
- Related: #639178
* Mon Jan 3 2010 Nick Petrov <npetrov@redhat.com> - 4ES-9.2
- Bump for 4.9 release notes
- Related: #639178
* Mon Jan 3 2010 Nick Petrov <npetrov@redhat.com> - 4WS-9.2
- Bump for 4.9 release notes
- Related: #639178
* Wed Jan 28 2009 Dennis Gregorovic <dgregor@redhat.com> - 4Desktop-8.2
- Bump for 4.8 release notes
- Related: #481294
